import * as autoscaling from '../../aws-autoscaling';
import * as sns from '../../aws-sns';
import { Construct } from '../../core';
/**
 * (experimental) Use an SNS topic as a hook target.
 *
 * @experimental
 */
export declare class TopicHook implements autoscaling.ILifecycleHookTarget {
    private readonly topic;
    /**
     * @experimental
     */
    constructor(topic: sns.ITopic);
    /**
     * (experimental) Called when this object is used as the target of a lifecycle hook.
     *
     * @experimental
     */
    bind(_scope: Construct, lifecycleHook: autoscaling.ILifecycleHook): autoscaling.LifecycleHookTargetConfig;
}
