import * as cdk from '../../../core';
/**
 * (experimental) Aspect that makes IMDSv2 required on instances deployed by AutoScalingGroups.
 *
 * @experimental
 */
export declare class AutoScalingGroupRequireImdsv2Aspect implements cdk.IAspect {
    /**
     * @experimental
     */
    constructor();
    /**
     * (experimental) All aspects can visit an IConstruct.
     *
     * @experimental
     */
    visit(node: cdk.IConstruct): void;
    /**
     * (experimental) Adds a warning annotation to a node.
     *
     * @param node The scope to add the warning to.
     * @param message The warning message.
     * @experimental
     */
    protected warn(node: cdk.IConstruct, message: string): void;
}
