import * as elbv2 from '../../aws-elasticloadbalancingv2';
import { HttpOrigin, HttpOriginProps } from './http-origin';
/**
 * (experimental) Properties for an Origin backed by a v2 load balancer.
 *
 * @experimental
 */
export interface LoadBalancerV2OriginProps extends HttpOriginProps {
}
/**
 * (experimental) An Origin for a v2 load balancer.
 *
 * @experimental
 */
export declare class LoadBalancerV2Origin extends HttpOrigin {
    /**
     * @experimental
     */
    constructor(loadBalancer: elbv2.ILoadBalancerV2, props?: LoadBalancerV2OriginProps);
}
