import * as appscaling from '../../aws-applicationautoscaling';
import * as cloudwatch from '../../aws-cloudwatch';
import { Construct } from '../../core';
/**
 * (experimental) Use an ApplicationAutoScaling StepScalingAction as an Alarm Action.
 *
 * @experimental
 */
export declare class ApplicationScalingAction implements cloudwatch.IAlarmAction {
    private readonly stepScalingAction;
    /**
     * @experimental
     */
    constructor(stepScalingAction: appscaling.StepScalingAction);
    /**
     * (experimental) Returns an alarm action configuration to use an ApplicationScaling StepScalingAction as an alarm action.
     *
     * @experimental
     */
    bind(_scope: Construct, _alarm: cloudwatch.IAlarm): cloudwatch.AlarmActionConfig;
}
