import * as iot from '../../aws-iot';
import * as lambda from '../../aws-lambda';
/**
 * (experimental) The action to invoke an AWS Lambda function, passing in an MQTT message.
 *
 * @experimental
 */
export declare class LambdaFunctionAction implements iot.IAction {
    private readonly func;
    /**
     * @param func The lambda function to be invoked by this action.
     * @experimental
     */
    constructor(func: lambda.IFunction);
    /**
     * (experimental) Returns the topic rule action specification.
     *
     * @experimental
     */
    bind(topicRule: iot.ITopicRule): iot.ActionConfig;
}
