import * as lambda from '../../aws-lambda';
import * as sqs from '../../aws-sqs';
import { Construct } from '../../core';
/**
 * (experimental) Use a SQS queue as a Lambda destination.
 *
 * @experimental
 */
export declare class SqsDestination implements lambda.IDestination {
    private readonly queue;
    /**
     * @experimental
     */
    constructor(queue: sqs.IQueue);
    /**
     * (experimental) Returns a destination configuration.
     *
     * @experimental
     */
    bind(_scope: Construct, fn: lambda.IFunction, _options?: lambda.DestinationOptions): lambda.DestinationConfig;
}
