import * as elb from '../../aws-elasticloadbalancing';
import * as route53 from '../../aws-route53';
/**
 * (experimental) Use a classic ELB as an alias record target.
 *
 * @experimental
 */
export declare class ClassicLoadBalancerTarget implements route53.IAliasRecordTarget {
    private readonly loadBalancer;
    /**
     * @experimental
     */
    constructor(loadBalancer: elb.LoadBalancer);
    /**
     * (experimental) Return hosted zone ID and DNS name, usable for Route53 alias targets.
     *
     * @experimental
     */
    bind(_record: route53.IRecordSet, _zone?: route53.IHostedZone): route53.AliasRecordTargetConfig;
}
