import * as sfn from '../../aws-stepfunctions';
import { Duration } from '../../core';
/**
 * (deprecated) Properties for FunctionTask.
 *
 * @deprecated use `StepFunctionsInvokeActivity` and `StepFunctionsInvokeActivityProps`.
 */
export interface InvokeActivityProps {
    /**
     * (deprecated) Maximum time between heart beats.
     *
     * If the time between heart beats takes longer than this, a 'Timeout' error is raised.
     *
     * @default No heart beat timeout
     * @deprecated
     */
    readonly heartbeat?: Duration;
}
/**
 * (deprecated) A Step Functions Task to invoke an Activity worker.
 *
 * An Activity can be used directly as a Resource.
 *
 * @deprecated use `StepFunctionsInvokeActivity`
 */
export declare class InvokeActivity implements sfn.IStepFunctionsTask {
    private readonly activity;
    private readonly props;
    /**
     * @deprecated
     */
    constructor(activity: sfn.IActivity, props?: InvokeActivityProps);
    /**
     * (deprecated) Called when the task object is used in a workflow.
     *
     * @deprecated
     */
    bind(_task: sfn.Task): sfn.StepFunctionsTaskConfig;
}
