import * as codepipeline from '../../../aws-codepipeline';
import * as events from '../../../aws-events';
import { CodeStarConnectionsSourceActionProps } from '../codestar-connections/source-action';
import { Construct } from '../../../core';
/**
 * (deprecated) Construction properties for {@link BitBucketSourceAction}.
 *
 * @deprecated use CodeStarConnectionsSourceActionProps instead
 */
export interface BitBucketSourceActionProps extends CodeStarConnectionsSourceActionProps {
}
/**
 * (deprecated) A CodePipeline source action for BitBucket.
 *
 * @deprecated use CodeStarConnectionsSourceAction instead
 */
export declare class BitBucketSourceAction implements codepipeline.IAction {
    private readonly codeStarConnectionsSourceAction;
    /**
     * @deprecated
     */
    constructor(props: BitBucketSourceActionProps);
    /**
     * (deprecated) The simple properties of the Action, like its Owner, name, etc.
     *
     * Note that this accessor will be called before the {@link bind} callback.
     *
     * @deprecated
     */
    get actionProperties(): codepipeline.ActionProperties;
    /**
     * (deprecated) The callback invoked when this Action is added to a Pipeline.
     *
     * @deprecated
     */
    bind(scope: Construct, stage: codepipeline.IStage, options: codepipeline.ActionBindOptions): codepipeline.ActionConfig;
    /**
     * (deprecated) Creates an Event that will be triggered whenever the state of this Action changes.
     *
     * @deprecated
     */
    onStateChange(name: string, target?: events.IRuleTarget, options?: events.RuleProps): events.Rule;
}
