import { TaskDefinition } from '../base/task-definition';
import { CfnTaskDefinition } from '../ecs.generated';
import { Construct as CoreConstruct } from '../../../core';
/**
 * (experimental) The base class for proxy configurations.
 *
 * @experimental
 */
export declare abstract class ProxyConfiguration {
    /**
     * (experimental) Called when the proxy configuration is configured on a task definition.
     *
     * @experimental
     */
    abstract bind(_scope: CoreConstruct, _taskDefinition: TaskDefinition): CfnTaskDefinition.ProxyConfigurationProperty;
}
