import { IResource } from '../../core';
/**
 * (experimental) Represents an EventBridge Rule.
 *
 * @experimental
 */
export interface IRule extends IResource {
    /**
     * (experimental) The value of the event rule Amazon Resource Name (ARN), such as arn:aws:events:us-east-2:123456789012:rule/example.
     *
     * @experimental
     * @attribute true
     */
    readonly ruleArn: string;
    /**
     * (experimental) The name event rule.
     *
     * @experimental
     * @attribute true
     */
    readonly ruleName: string;
}
