import * as lambda from '../../aws-lambda';
import * as sns from '../../aws-sns';
import { Construct } from '../../core';
/**
 * (experimental) Use a SNS topic as a Lambda destination.
 *
 * @experimental
 */
export declare class SnsDestination implements lambda.IDestination {
    private readonly topic;
    /**
     * @experimental
     */
    constructor(topic: sns.ITopic);
    /**
     * (experimental) Returns a destination configuration.
     *
     * @experimental
     */
    bind(_scope: Construct, fn: lambda.IFunction, _options?: lambda.DestinationOptions): lambda.DestinationConfig;
}
