import * as ec2 from '../../aws-ec2';
import * as route53 from '../../aws-route53';
/**
 * (experimental) Set an InterfaceVpcEndpoint as a target for an ARecord.
 *
 * @experimental
 */
export declare class InterfaceVpcEndpointTarget implements route53.IAliasRecordTarget {
    private readonly vpcEndpoint;
    private readonly cfnVpcEndpoint;
    /**
     * @experimental
     */
    constructor(vpcEndpoint: ec2.IInterfaceVpcEndpoint);
    /**
     * (experimental) Return hosted zone ID and DNS name, usable for Route53 alias targets.
     *
     * @experimental
     */
    bind(_record: route53.IRecordSet, _zone?: route53.IHostedZone): route53.AliasRecordTargetConfig;
}
