import * as route53 from '../../aws-route53';
/**
 * (experimental) Use another Route 53 record as an alias record target.
 *
 * @experimental
 */
export declare class Route53RecordTarget implements route53.IAliasRecordTarget {
    private readonly record;
    /**
     * @experimental
     */
    constructor(record: route53.IRecordSet);
    /**
     * (experimental) Return hosted zone ID and DNS name, usable for Route53 alias targets.
     *
     * @experimental
     */
    bind(_record: route53.IRecordSet, zone?: route53.IHostedZone): route53.AliasRecordTargetConfig;
}
